import 'package:flutter/services.dart';

import 'agschat_platform_interface.dart';

class Agschat {
  Future<String?> getPlatformVersion() {
    return AgschatPlatform.instance.getPlatformVersion();
  }

  static const MethodChannel _channel = const MethodChannel('plugin_codelab');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}
